#!/bin/sh

set -e

if [ "$1" = "purge" ] ; then
    rm -f /etc/bdii/bdii-slapd.conf
    ucf --purge /etc/bdii/bdii-slapd.conf || :
    rm -f /etc/bdii/bdii-top-slapd.conf
    ucf --purge /etc/bdii/bdii-top-slapd.conf || :
fi

#DEBHELPER#

if [ "$1" = "purge" ] ; then
    APP_PROFILE=/etc/apparmor.d/usr.sbin.slapd
    LOCAL_APP_PROFILE=/etc/apparmor.d/local/usr.sbin.slapd

    if [ -r "$LOCAL_APP_PROFILE" ] ; then
	sed '/# AppArmor profile for bdii START/,/# AppArmor profile for bdii END/d' -i "$LOCAL_APP_PROFILE"
    fi

    if [ ! -r "$APP_PROFILE" ] ; then
	if [ -r "$LOCAL_APP_PROFILE" ] ; then
	    if [ -z "`sed '/^#/d' $LOCAL_APP_PROFILE`" ] ; then
		rm -f "$LOCAL_APP_PROFILE" || true
	    fi
	fi
	rmdir /etc/apparmor.d/local 2>/dev/null || true
	rmdir /etc/apparmor.d 2>/dev/null || true
    fi

    if [ -r "$APP_PROFILE" ] ; then
	# Reload the profile
	if aa-status --enabled 2>/dev/null ; then
            apparmor_parser -r -T -W "$APP_PROFILE" || true
	fi
    fi
fi
